unit MyErrors;

interface

	uses
		MacOS;

	procedure DisplayError (msg: integer; err: OSErr);
	procedure DisplayErrorString ( const msg: Str255; err: OSErr); { ^1 -> err }

implementation

	uses
		MyErrorStrings, MyCleverAlerts, MyStrings;

// error id 128?????

	procedure DisplayError (msg: integer; err: OSErr);
		var
			s: Str255;
	begin
		GetIndString( s, error_id, msg );
		DisplayErrorString( s, err );
	end;

	procedure DisplayErrorString ( const msg: Str255; err: OSErr);
		var
			s: Str255;
	begin
		if (err <> noErr) & (err <> userCanceledErr) then begin
			SPrintS3(s, msg, ErrorStr( err ), '', '');
			CleverParamText('', s, '', '');
			CleverNotifyAlert( error_id );
		end;
	end;

end.